Solid Edge FrameworkSupport Type Library
Range Method
Specifies the x coordinate of the lower-left corner the referenced object.
Specifies the y coordinate of the lower-left corner of the referenced object.
Specifies the x coordinate of the upper-right corner of the referenced object.
Specifies the y coordinate of the upper-right corner of the referenced object.
Description
Returns the high and low range values for the referenced object.
Syntax
Visual Basic
Public Sub Range( _
   ByRef XMinimum As Double, _
   ByRef YMinimum As Double, _
   ByRef XMaximum As Double, _
   ByRef YMaximum As Double _
) 
Parameters
XMinimum
Specifies the x coordinate of the lower-left corner the referenced object.
YMinimum
Specifies the y coordinate of the lower-left corner of the referenced object.
XMaximum
Specifies the x coordinate of the upper-right corner of the referenced object.
YMaximum
Specifies the y coordinate of the upper-right corner of the referenced object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objFCFs As SolidEdgeFrameworkSupport.FeatureControlFrames
    Dim objFCF As SolidEdgeFrameworkSupport.FeatureControlFrame
    ' Local variables to be declared here
    Dim dblXmin As Double, dblYmin As Double, dblXmax As Double, dblYmax As Double
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Get the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Get the FeatureControlFrames collection object
    Set objFCFs = objSheet.FeatureControlFrames
    'Add a new FeatureControlFrame
    Set objFCF = objFCFs.Add(x:=0.1, y:=0.1, z:=0)
    objFCF.PrimaryFrame = "FLVB0.001MCVBA"
    Call objFCF.AddVertex(x:=0.2, y:=0.25, z:=0)
    objFCF.BreakLine = True
    'Get the range of the FeatureControlFrame
    Call objFCF.Range(xMinimum:=dblXmin, yminimum:=dblYmin, xmaximum:=dblXmax, ymaximum:=dblYmax)
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objFCFs = Nothing
    Set objFCF = Nothing
End Sub
See Also

FeatureControlFrame Object  | FeatureControlFrame Members

Send comments on this topic.